%define postgrey_user postgrey
%define postgrey_group postgrey
%define postgrey_home %_localstatedir/%name

Name: postgrey
Version: 1.22rc1
Release: alt1

Summary: Postfix Greylisting Policy Server
License: GPL
Group: System/Servers

URL: http://isg.ee.ethz.ch/tools/postgrey/
BuildArch: noarch
Source0: http://isg.ee.ethz.ch/tools/postgrey/pub/%name-%version.tar.gz
Source1: %name.init
Source2: %name.sysconfig
Source3: %{name}_clients_dump
Source4: %name.dogwatch
Source5: %name.dogwatch.cron
Source6: %name.README.ALT
Patch0: postgrey-1.21-alt.patch

Packager: Vladimir V Kamarzin <vvk@altlinux.ru>

BuildPreReq: perl, perl-IO-Multiplex, perl-Net-Server, perl-BerkeleyDB, perl-Net-DNS
Requires: perl-IO-Multiplex

%description
Postgrey is a Postfix policy server implementing greylisting.
When a request for delivery of a mail is received by Postfix 
via SMTP, the triplet CLIENT_IP / SENDER / RECIPIENT is built. 
If it is the first time that this triplet is seen, or if the 
triplet was first seen less than 5 minutes, then the mail gets 
rejected with a temporary error. Hopefully spammers or viruses 
will not try again later, as it is however required per RFC.
Edit your configuration files:
/etc/postfix/main.cf:
  smtpd_recipient_restrictions = ...
    check_policy_service unix:postgrey/socket, ...
or if you like to use inet sockets (modify the IP if needed):
/etc/sysconfig/postgrey:
  OPTIONS="--inet=127.0.0.1:60000"
/etc/postfix/main.cf:
  smtpd_recipient_restrictions = ...
    check_policy_service inet:127.0.0.1:60000, ...

%package dogwatch
Summary: script and cron job for checking that postgrey is running
Group: System/Servers
Requires: %name

%description dogwatch
Script and cron job for checking that postgrey is running.
I wrote this script by dfo@'s request.

%prep
%setup -q -n %name-%version
%patch0 -p1

%build

%install

%__install -d -m1711 %buildroot%_localstatedir/%name
%__install -d -m1755 %buildroot%_var/run/%name
%__install -d -m0755 %buildroot/usr/share/doc/%name-%version/contrib

%__install -pD -m0755 %name %buildroot%_sbindir/%name
%__install -pD -m0755 %SOURCE4 %buildroot%_sbindir/%name-dogwatch
%__install -pD -m0755 %SOURCE1 %buildroot%_initdir/%name
%__install -pD -m0644 %SOURCE2 %buildroot%_sysconfdir/sysconfig/%name
%__install -pD -m0644 %SOURCE5 %buildroot%_sysconfdir/cron.d/%name-dogwatch
%__install -pD -m0644 postgrey_whitelist_clients %buildroot%_sysconfdir/%name/whitelist_clients
%__install -pD -m0644 postgrey_whitelist_recipients %buildroot%_sysconfdir/%name/whitelist_recipients
%__install -pD -m0644 %SOURCE6 README.ALT
%__install -m0755 %SOURCE3 contrib
touch %buildroot%_sysconfdir/%name/whitelist_clients.local


%pre
/usr/sbin/groupadd -r -f %postgrey_group ||:
/usr/sbin/useradd -g %postgrey_group -c 'The Postgrey Daemon' \
        -d %postgrey_home -s /dev/null -r %postgrey_user >/dev/null 2>&1 ||:

%post
%post_service %name

%preun
%preun_service %name

%files
%_sbindir/%name
%config(noreplace) %_initdir/%name
%config(noreplace) %_sysconfdir/sysconfig/*
%config(noreplace) %_sysconfdir/%name/*
%dir %attr(1771, root, %postgrey_group) %_localstatedir/%name
%dir %attr(1775, root, %postgrey_group) %_var/run/%name
%doc README* Changes contrib

%files dogwatch
%_sbindir/%name-dogwatch
%_sysconfdir/cron.d/%name-dogwatch

%changelog
* Thu Oct 27 2005 Vladimir V Kamarzin <vvk@altlinux.ru> 1.22rc1-alt1
- Updated to version 1.22rc1 due to possible bug with format-string problems
- Changed permissions of %_localstatedir/%name and %_var/run/%name due to ALT security policy
- Fixed stupid bug with contrib-packaging
- Added postgrey-dogwatch by dfo@ request (separate package)
- Removed postfix from Requires
- Minor spec changes
- Added README.ALT

* Wed Oct 12 2005 Vladimir V Kamarzin <vvk@altlinux.ru> 1.21-alt3
- fix missing requires (perl-IO-Multiplex), closes #8202
- service postgrey now disabled on any runlevels by default

* Tue Sep 06 2005 Vladimir V Kamarzin <vvk@altlinux.ru> 1.21-alt2
- spec cleanup
- removed unneeded actions in %postun

* Mon Jul 25 2005 Vladimir V Kamarzin <vvk@altlinux.ru> 1.21-alt1
- Initial build for Sisyphus
- added postgrey-1.21-alt.patch - fix default user/group, config and DB locations.
- added postgrey_clients_dump script from Debian into contrib.
